# Uses of Class
org.bukkit.Color

Packages that use Color
Package
Description
com.destroystokyo.paper
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.configuration
Classes dedicated to handling a plugin's runtime configuration.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.

## Uses of Color in com.destroystokyo.paper

Methods in com.destroystokyo.paper with parameters of type Color
Modifier and Type
Method
Description
`@NotNull ParticleBuilder`
ParticleBuilder.`color(@Nullable Color color)`
Sets the particle Color.
`@NotNull ParticleBuilder`
ParticleBuilder.`color(@Nullable Color color, float size)`
Sets the particle Color and size.

## Uses of Color in org.bukkit

Fields in org.bukkit declared as Color
Modifier and Type
Field
Description
`static final Color`
Color.`AQUA`
Aqua, or (0x00,0xFF,0xFF) in (R,G,B)
`static final Color`
Color.`BLACK`
Black, or (0x00,0x00,0x00) in (R,G,B)
`static final Color`
Color.`BLUE`
Blue, or (0x00,0x00,0xFF) in (R,G,B)
`static final Color`
Color.`FUCHSIA`
Fuchsia, or (0xFF,0x00,0xFF) in (R,G,B)
`static final Color`
Color.`GRAY`
Gray, or (0x80,0x80,0x80) in (R,G,B)
`static final Color`
Color.`GREEN`
Green, or (0x00,0x80,0x00) in (R,G,B)
`static final Color`
Color.`LIME`
Lime, or (0x00,0xFF,0x00) in (R,G,B)
`static final Color`
Color.`MAROON`
Maroon, or (0x80,0x00,0x00) in (R,G,B)
`static final Color`
Color.`NAVY`
Navy, or (0x00,0x00,0x80) in (R,G,B)
`static final Color`
Color.`OLIVE`
Olive, or (0x80,0x80,0x00) in (R,G,B)
`static final Color`
Color.`ORANGE`
Orange, or (0xFF,0xA5,0x00) in (R,G,B)
`static final Color`
Color.`PURPLE`
Purple, or (0x80,0x00,0x80) in (R,G,B)
`static final Color`
Color.`RED`
Red, or (0xFF,0x00,0x00) in (R,G,B)
`static final Color`
Color.`SILVER`
Silver, or (0xC0,0xC0,0xC0) in (R,G,B)
`static final Color`
Color.`TEAL`
Teal, or (0x00,0x80,0x80) in (R,G,B)
`static final Color`
Color.`WHITE`
White, or (0xFF,0xFF,0xFF) in (R,G,B)
`static final Color`
Color.`YELLOW`
Yellow, or (0xFF,0xFF,0x00) in (R,G,B)
Methods in org.bukkit that return Color
Modifier and Type
Method
Description
`static @NotNull Color`
Color.`deserialize(@NotNull Map<String,Object> map)`
`static @NotNull Color`
Color.`fromBGR(int bgr)`
Creates a new color object from an integer that contains the blue, green, and red bytes in the lowest order 24 bits.
`static @NotNull Color`
Color.`fromBGR(int blue, int green, int red)`
Creates a new Color object from a blue, green, and red
`static @NotNull Color`
Color.`fromRGB(int rgb)`
Creates a new color object from an integer that contains the red, green, and blue bytes in the lowest order 24 bits.
`static @NotNull Color`
Color.`fromRGB(int red, int green, int blue)`
Creates a new Color object from a red, green, and blue
`@NotNull Color`
DyeColor.`getColor()`
Gets the color that this dye represents.
`@NotNull Color`
Particle.DustOptions.`getColor()`
The color of the particles to be displayed.
`@NotNull Color`
DyeColor.`getFireworkColor()`
Gets the firework color that this dye represents.
`@NotNull Color`
Particle.DustTransition.`getToColor()`
The final of the particles to be displayed.
`@NotNull Color`
Color.`mixColors(@NotNull Color... colors)`
Creates a new color with its RGB components changed as if it was dyed with the colors passed in, replicating vanilla workbench dyeing
`@NotNull Color`
Color.`mixDyes(@NotNull DyeColor... colors)`
Creates a new color with its RGB components changed as if it was dyed with the colors passed in, replicating vanilla workbench dyeing
`@NotNull Color`
Color.`setBlue(int blue)`
Creates a new Color object with specified component
`@NotNull Color`
Color.`setGreen(int green)`
Creates a new Color object with specified component
`@NotNull Color`
Color.`setRed(int red)`
Creates a new Color object with specified component
Methods in org.bukkit that return types with arguments of type Color
Modifier and Type
Method
Description
`@NotNull List<Color>`
FireworkEffect.`getColors()`
Get the primary colors of the firework effect.
`@NotNull List<Color>`
FireworkEffect.`getFadeColors()`
Get the fade colors of the firework effect.
Methods in org.bukkit with parameters of type Color
Modifier and Type
Method
Description
`static @Nullable DyeColor`
DyeColor.`getByColor(@NotNull Color color)`
Gets the DyeColor with the given color value.
`static @Nullable DyeColor`
DyeColor.`getByFireworkColor(@NotNull Color color)`
Gets the DyeColor with the given firework color value.
`@NotNull Color`
Color.`mixColors(@NotNull Color... colors)`
Creates a new color with its RGB components changed as if it was dyed with the colors passed in, replicating vanilla workbench dyeing
`@NotNull FireworkEffect.Builder`
FireworkEffect.Builder.`withColor(@NotNull Color color)`
Add a primary color to the firework effect.
`@NotNull FireworkEffect.Builder`
FireworkEffect.Builder.`withColor(@NotNull Color... colors)`
Add several primary colors to the firework effect.
`@NotNull FireworkEffect.Builder`
FireworkEffect.Builder.`withFade(@NotNull Color color)`
Add a fade color to the firework effect.
`@NotNull FireworkEffect.Builder`
FireworkEffect.Builder.`withFade(@NotNull Color... colors)`
Add several fade colors to the firework effect.
Constructors in org.bukkit with parameters of type Color
Modifier
Constructor
Description
``
`DustOptions(@NotNull Color color, float size)`
``
`DustTransition(@NotNull Color fromColor, @NotNull Color toColor, float size)`

## Uses of Color in org.bukkit.configuration

Methods in org.bukkit.configuration that return Color
Modifier and Type
Method
Description
`@Nullable Color`
ConfigurationSection.`getColor(@NotNull String path)`
Gets the requested Color by path.
`@Nullable Color`
ConfigurationSection.`getColor(@NotNull String path, @Nullable Color def)`
Gets the requested `Color` by path, returning a default value if not found.
`@Nullable Color`
MemorySection.`getColor(@NotNull String path)`
`@Nullable Color`
MemorySection.`getColor(@NotNull String path, @Nullable Color def)`
Methods in org.bukkit.configuration with parameters of type Color
Modifier and Type
Method
Description
`@Nullable Color`
ConfigurationSection.`getColor(@NotNull String path, @Nullable Color def)`
Gets the requested `Color` by path, returning a default value if not found.
`@Nullable Color`
MemorySection.`getColor(@NotNull String path, @Nullable Color def)`

## Uses of Color in org.bukkit.entity

Methods in org.bukkit.entity that return Color
Modifier and Type
Method
Description
`@NotNull Color`
AreaEffectCloud.`getColor()`
Gets the color of this cloud.
`@Nullable Color`
Arrow.`getColor()`
Gets the color of this arrow.
Methods in org.bukkit.entity with parameters of type Color
Modifier and Type
Method
Description
`void`
AreaEffectCloud.`setColor(@NotNull Color color)`
Sets the color of this cloud.
`void`
Arrow.`setColor(@Nullable Color color)`
Sets the color of this arrow.

## Uses of Color in org.bukkit.inventory

Methods in org.bukkit.inventory that return Color
Modifier and Type
Method
Description
`@NotNull Color`
ItemFactory.`getDefaultLeatherColor()`
Returns the default color for all leather armor.

## Uses of Color in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return Color
Modifier and Type
Method
Description
`@NotNull Color`
LeatherArmorMeta.`getColor()`
Gets the color of the armor.
`@Nullable Color`
MapMeta.`getColor()`
Gets the map color that is set.
`@Nullable Color`
PotionMeta.`getColor()`
Gets the potion color that is set.
Methods in org.bukkit.inventory.meta with parameters of type Color
Modifier and Type
Method
Description
`void`
LeatherArmorMeta.`setColor(@Nullable Color color)`
Sets the color of the armor.
`void`
MapMeta.`setColor(@Nullable Color color)`
Sets the map color.
`void`
PotionMeta.`setColor(@Nullable Color color)`
Sets the potion color.

## Uses of Color in org.bukkit.potion

Methods in org.bukkit.potion that return Color
Modifier and Type
Method
Description
`@Nullable Color`
PotionEffect.`getColor()`
Deprecated.
color is not part of potion effects
`abstract @NotNull Color`
PotionEffectType.`getColor()`
Returns the color of this effect type.
`@NotNull Color`
PotionEffectTypeWrapper.`getColor()`